2020-09-23 10:58 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002650NetSurfWin32-specificpublic2020-05-27 09:02
ReporterFour Oh Four 
Assigned ToDaniel Silverstone 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformWindowsOSOS Version
Product Version3.8 
Target Version3.10Fixed in Version3.10 
Summary0002650: Innapropriate error message
DescriptionTyping a search query into address bar(oops!) gives me different error message between rel 3.8 and Nightly 4640.

Release 3.8:
Couldn't resolve hostname.

Nightly 4640:
NetSurf is running out of memory. Please free some memory and try again.
TagsNo tags attached.
Fixed in CI build #5015
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0002044

Vincent Sanders (administrator)

any "bad" url results in the out of memory error
Daniel Silverstone

~0002174

Daniel Silverstone (administrator)

This was basically that we were reporting any non NSERROR_OK from nsurl_create() as the NoMemory error. We now actually report the nserror in question.
Vincent Sanders

~0002221

Vincent Sanders (administrator)

Thankyou for reporting this issue.
We believe this is fixed in the 3.10 release.
If this is not the case please feel free to reopen the issue with additional details.
+Notes

-Issue History
Date Modified Username Field Change
2019-05-14 11:07 Four Oh Four New Issue
2019-08-01 11:24 Vincent Sanders Assigned To => Vincent Sanders
2019-08-01 11:24 Vincent Sanders Status new => confirmed
2019-08-01 11:24 Vincent Sanders Target Version => 3.10
2019-08-01 11:24 Vincent Sanders Note Added: 0002044
2020-02-24 12:12 Daniel Silverstone Assigned To Vincent Sanders => Daniel Silverstone
2020-02-24 12:12 Daniel Silverstone Status confirmed => resolved
2020-02-24 12:12 Daniel Silverstone Resolution open => fixed
2020-02-24 12:12 Daniel Silverstone Fixed in Version => 3.10
2020-02-24 12:12 Daniel Silverstone Fixed in CI build # => 5015
2020-02-24 12:12 Daniel Silverstone Note Added: 0002174
2020-05-27 09:02 Vincent Sanders Status resolved => closed
2020-05-27 09:02 Vincent Sanders Note Added: 0002221
+Issue History